Name:           obby
Version:        0.4.8
Release:        3%{?dist}
Summary:        A library which provides synced document buffers

Group:          Development/Libraries
License:        GPLv2+
URL:            http://releases.0x539.de/obby
Source0:        http://releases.0x539.de/obby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  net6-devel, gmp-devel, gettext-devel, avahi-devel

%description
libobby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.


%package devel
Summary:        Development libraries for obby
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, net6-devel, gmp-devel

%description devel
libobby is a library which provides synced document buffers. This package
contains the header files and library required to link against libobby.


%prep
%setup -q


%build
%configure --disable-static --enable-ipv6 --with-zeroconf
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS
%{_libdir}/*.so.*

%files devel
%{_includedir}/obby
%{_libdir}/pkgconfig/*
%{_libdir}/*.so


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 09 2011 Luke Macken <lmacken@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Wed Oct 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4.7-4.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.4.7-4.1
- rebuild with new gmp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Luke Macken <lmacken@redhat.com> - 0.4.7-1
- Update to 0.4.7

* Thu Sep 11 2008 Luke Macken <lmacken@redhat.com> - 0.4.6-1
- Update to the latest upstream release

* Sat Jul 26 2008 Luke Macken <lmacken@redhat.com> - 0.4.5-1
- Update to the latest upstream release

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.4.4-4
- rebuild with new gnutls

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 0.4.4-3
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 0.4.4-2
- Update license to GPLv2+

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 0.4.4-1
- 0.4.4

* Tue Mar 20 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-2
- Rebuild with zeroconf support (Bug #232961)

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 0.4.3-1
- 0.4.3

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-2
- Rebuild for FC6

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-7.rc4
- 0.4.0rc4
- Enable IPv6
- Remove obby-0.4.0rc3-localefix.patch

* Wed Aug  9 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-6.rc3
- 0.4.0rc3
- obby-0.4.0rc3-localefix.patch
- remove obby-0.4.0rc2-gcc41.patch

* Wed Jul 12 2006 Paul Nasrat <pnasrat@redhat.com> - 0.4.0-5.rc2
- Modify GCC 4.1 patch so that Gobby will build 

* Wed Jul 12 2006 Paul Nasrat <pnasrat@redhat.com> - 0.4.0-4.rc2
- GCC 4.1 fixes from Debian Experimental package
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=375193

* Fri Jun 16 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-3.rc2
- Rebuild

* Fri May 19 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-2.rc2
- 0.4.0rc2

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.0-1.rc1
- 0.4.0rc1

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Rebuild for FE5

* Tue Jan 10 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Remove libsigc++ from BuildRequires

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Remove calls to aclocal and autoconf
- Bump to 0.3.0rc3

* Wed Nov 16 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc1
- Bump to 0.3.0rc1
- Remove howl support

* Mon Nov 14 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-8
- Rebuild

* Mon Nov 14 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-7
- Rebuild

* Fri Oct 21 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-6
- Fix dependency issue with howl-devel

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-5
- Add howl support

* Thu Oct 06 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-4
- Add gettext-devel to BuildRequires, and call aclocal and autoconf before
  configure to fix build error

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-3
- Remove libsigc++20-devel from Requires
- Add net6-devel and gmp-devel to Requires for devel subpackage

* Fri Sep 30 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-2
- Add pkg-config to Requires for -devel
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-1
- Packaged for Fedora Extras
